// $Id: CacheException.java,v 1.9.2.5 2004/09/23 18:42:24 bwang00 Exp $

/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache;

import org.jboss.util.NestedException;


/**
 * CacheException, mother of all cache exceptions
 *
 * @author <a href="mailto:bela@jboss.org">Bela Ban</a>.
 * @version $Revision: 1.9.2.5 $
 *          <p/>
 *          <p><b>Revisions:</b>
 *          <p/>
 *          <p>Dec 27 2002 Bela Ban: first implementation
 *          <p>Jan 20 2003 Bela Ban: extend NestedException (otherwise build with JDK 1.3 fails)
 */
public class CacheException extends NestedException {

   public CacheException() {
      super();
   }

   public CacheException(String msg) {
      super(msg);
   }

   public CacheException(String msg, Throwable cause) {
      super(msg, cause);
   }
}
